This is a Laravel 5 package that provides pkg1 management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `medo/pkg1`.

    "medo/pkg1": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Medo\Pkg1\Providers\Pkg1ServiceProvider::class,

```

And also add it to alias

```php
'Pkg1'  => Medo\Pkg1\Facades\Pkg1::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Medo\Pkg1\Providers\Pkg1ServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Medo\Pkg1\Providers\Pkg1ServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Medo\Pkg1\Providers\Pkg1ServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Medo\Pkg1\Providers\Pkg1ServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Medo\Pkg1\Providers\Pkg1ServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Medo\Pkg1\Providers\Pkg1ServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


